/*
 * Copyright (C) 2019 Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/&gt;.
 *
 */

#include "manualpartition_operator.h"

ManualPartition_operator::ManualPartition_operator(QObject *parent) : QObject(parent)
{

}
ManualPartition_operator::ManualPartition_operator(Device *dev, Partition *partition, QStringList mountpoints, QWidget *parent)
{
    
}
bool ManualPartition_operator::creatorPartTable()
{

}
bool ManualPartition_operator::creatorPartition()
{

}
bool ManualPartition_operator::delPartition()
{

}
bool ManualPartition_operator::formatPartition()
{

}
bool ManualPartition_operator::restorePartitionTable()
{

}
bool ManualPartition_operator::editPartition()
{

}
